Update a callout template
Authentication
Use Bearer {{token}} in the Authorization header for authentication.
Path parameters
Headers
Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.
Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').
An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.
Request
Response headers
This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
application/jsonapplication/xmltext/htmltext/csvtext/plain
The request limit quota for the time window closest to exhaustion. See rate limits for more information.
The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.
The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.
Response
If requiredAuth is true, this object is required.
The SSL certificate for the domain of the callout receiver server specified in calloutBaseurl.
Indicates how Zuora determines whether callout notifications to your system succeed or fail:
-
If
false, Zuora determines the result based solely on the HTTP response status code. This is the default value. -
If
true, and the HTTP response status code is 200, Zuora evaluates the callout response and considers the notification successful only if theContent-Typeheader is set toapplication/json, and the response body contains asuccessfield set totrue.
The time when the callout template was created. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00
The event category code for the standard event that the callout template relates to.
This field is available only if the related event of this callout template is a standard event.
For the list of supported standard event category codes, see Standard event category code for events and notifications.
The namespace of the eventTypeName field. It indicates who created the event and which namespace the event is assigned to.
Supported values are as follows:
com.zuora.notification: events that are created by Zuora. This value applies to Zuora custom events.user.notification: events that are created by tenant users. This value applies to custom events and custom scheduled events. This is the default value.
This field is available only if the related event of this callout template is a Zuora custom event, custom event, or custom scheduled event.
The header key that Zuora uses to send the header value for HMAC authentication. The header value is specified in the hmacValue field and typically contains the signed data.
The header value for HMAC authentication. The header key is specified in the hmacKey field.
The time when the callout template was updated. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00
Indicates whether to enable the customized request body configured in the customRequestBody field.